ApiBatchRequestElement (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiBatchRequestElement

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiBatchRequestElement

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiBatchRequestElement
      extends Object

  A single element of a batch request, often part of a list with other elements.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiBatchRequestElement()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiBatchRequestElement` | `acceptType(String acceptType)`
    `ApiBatchRequestElement` | `body(Object body)`
    `ApiBatchRequestElement` | `contentType(String contentType)`
    `boolean` | `equals(Object o)`
    `String` | `getAcceptType()` Accept header of the request element.
    `Object` | `getBody()` Optional body of the request.
    `String` | `getContentType()` Content-Type header of the request element.
    `HTTPMethod` | `getMethod()` Get method
    `String` | `getUrl()` The URL of the request.
    `int` | `hashCode()`
    `ApiBatchRequestElement` | `method(HTTPMethod method)`
    `void` | `setAcceptType(String acceptType)`
    `void` | `setBody(Object body)`
    `void` | `setContentType(String contentType)`
    `void` | `setMethod(HTTPMethod method)`
    `void` | `setUrl(String url)`
    `String` | `toString()`
    `ApiBatchRequestElement` | `url(String url)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiBatchRequestElement

          public ApiBatchRequestElement()

  - ### Method Detail

    - #### method

          public ApiBatchRequestElement method(HTTPMethod method)

    - #### getMethod

          public HTTPMethod getMethod()

      Get method
      Returns:
        method

    - #### setMethod

          public void setMethod(HTTPMethod method)

    - #### url

          public ApiBatchRequestElement url(String url)

    - #### getUrl

          public String getUrl()

      The URL of the request. Must not have a scheme, host, or port. The path should be prefixed with \"/api/\", and should include path and query parameters.
      Returns:
        url

    - #### setUrl

          public void setUrl(String url)

    - #### body

          public ApiBatchRequestElement body(Object body)

    - #### getBody

          public Object getBody()

      Optional body of the request. Must be serialized in accordance with #getContentType(). For application/json, use com.cloudera.api.ApiObjectMapper.
      Returns:
        body

    - #### setBody

          public void setBody(Object body)

    - #### contentType

          public ApiBatchRequestElement contentType(String contentType)

    - #### getContentType

          public String getContentType()

      Content-Type header of the request element. If unset, the element will be treated as if the wildcard type had been specified unless it has a body, in which case it will fall back to application/json.
      Returns:
        contentType

    - #### setContentType

          public void setContentType(String contentType)

    - #### acceptType

          public ApiBatchRequestElement acceptType(String acceptType)

    - #### getAcceptType

          public String getAcceptType()

      Accept header of the request element. The response body (if it exists) will be in this representation. If unset, the element will be treated as if the wildcard type had been requested.
      Returns:
        acceptType

    - #### setAcceptType

          public void setAcceptType(String acceptType)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.